<?xml version="1.0" encoding="UTF-8" ?>
<schema attributeFormDefault="unqualified" elementFormDefault="qualified"
	targetNamespace="http://xmlns.gemsystem.cz/SestavaNakladyZZB2B"
        xmlns="http://www.w3.org/2001/XMLSchema"
        xmlns:ns0="http://xmlns.gemsystem.cz/SestavaNakladyZZB2B"
        xmlns:ns1="http://xmlns.gemsystem.cz/CommonB2B">
 <annotation>
   <documentation>$Revision: 66268 $</documentation>
   <documentation>$Date: 2013-07-04 13:02:08 +0200 (čt, 04 7 2013) $</documentation>
   <documentation>$Author: msklenar $</documentation>
 </annotation>
 <import namespace="http://xmlns.gemsystem.cz/CommonB2B"
         schemaLocation="CommonB2B.xsd"/>
 <element name="sestavaNakladyZZB2BPozadavek">
		<complexType>
			<sequence>
    <element name="idZpravy" type="ns1:IdZpravyTyp">
     <annotation>
      <documentation>
       klientské ID zprávy pro potřeby zpětné korelace zpráv na straně klienta.
       VZP vrací v odpovědi zde uvedené ID v položce korelaceZpravy. idZpravy
       může obsahovat pouze číslice a písmena bez mezer a speciálních znaků:
       pomlčky, čárky, tečky a dalších znaků. Maximální délka idZprávy je celkem
       12 znaků
      </documentation>
     </annotation>
    </element>
    <element name="idSubjektu" type="ns1:IdSubjektuTyp">
     <annotation>
      <documentation>
       Identifikace subjektu (IČZ)
      </documentation>
     </annotation>
    </element>
    <element name="typSubjektu" type="ns1:TypSubjektuTyp" minOccurs="1">
     <annotation>
      <documentation>
       Typ subjektu (zp)
      </documentation>
     </annotation>
    </element>
    <element name="uzemniPracoviste" type="ns1:UzemniPracovisteTyp"
             minOccurs="0"/>
    <element name="datumPodani" type="dateTime" minOccurs="0"/>
    <element name="sestava" type="ns0:sestavaType">
     <annotation>
      <documentation>
       Komplexní typ obsahující parametry sestavy
      </documentation>
     </annotation>
    </element>
			</sequence>
		</complexType>
	</element>
 <element name="sestavaNakladyZZB2BOdpoved">
		<complexType>
			<sequence>
    <element name="korelaceZpravy" type="ns1:IdZpravyTyp">
     <annotation>
      <documentation>
       Návratový parametr pro spárování požadavku a odpovědi na straně
       partnera. Obsahuje hodnotu elementu idZpravy z požadavku.
      </documentation>
     </annotation>
    </element>
    <element name="textOdpovedi" type="string">
     <annotation>
      <documentation>
       Text odpovědi
      </documentation>
     </annotation>
    </element>
    <element name="dokument" type="ns0:dokumentType" minOccurs="0"
             maxOccurs="1">
     <annotation>
      <documentation>
       Soubor přiložený k odpovědi (dokument sestavy)
      </documentation>
     </annotation>
    </element>
    <element name="stavVyrizeniPozadavku" type="ns1:StavVyrizeniPozadavkuTyp">
     <annotation>
      <documentation>
       Návratový kód odpovědi
      </documentation>
     </annotation>
    </element>
			</sequence>
		</complexType>
	</element>
 <complexType name="sestavaType">
  <sequence>
   <element name="pocatecniObdobiDavky" type="ns0:obdobiDavkyType">
    <annotation>
     <documentation>
      Komplexní typ určující počáteční období sestavy
     </documentation>
    </annotation>
   </element>
   <element name="koncoveObdobiDavky" type="ns0:obdobiDavkyType">
    <annotation>
     <documentation>
      Komplexní typ určující koncové období sestavy
     </documentation>
    </annotation>
   </element>
   <element name="formatVystupu" type="ns0:formatVystupuType">
    <annotation>
     <documentation>
      Typ datového obsahu (formát výstupu); informační systém VZP aktuálně
      poskytuje pouze PDF sestavu, tudíž je povolena pouze hodnota
      application/pdf
     </documentation>
    </annotation>
   </element>
  </sequence>
 </complexType>
 <complexType name="obdobiDavkyType">
  <sequence>
   <element name="mesic" type="int">
    <annotation>
     <documentation>
      Měsíc
     </documentation>
    </annotation>
   </element>
   <element name="rok" type="int">
    <annotation>
     <documentation>
      Rok
     </documentation>
    </annotation>
   </element>
  </sequence>
 </complexType>
 <simpleType name="formatVystupuType">
  <restriction base="string">
   <enumeration value="application/pdf"/>
  </restriction>
 </simpleType>
 <complexType name="dokumentType">
  <sequence>
   <element name="nazev" type="ns1:NazevSouboruTyp">
    <annotation>
     <documentation>
      Název souboru
     </documentation>
    </annotation>
   </element>
   <element name="mime" type="ns1:MimeTypeTyp">
    <annotation>
     <documentation>
      Typ souboru
     </documentation>
    </annotation>
   </element>
   <element name="obsah" type="base64Binary">
    <annotation>
     <documentation>
      Obsah souboru v kódování Base64
     </documentation>
    </annotation>
   </element>
  </sequence>
 </complexType>
</schema>

